@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
*,
*::before,
*::after {
  box-sizing: border-box;
  scroll-behavior: smooth;
}
body {
  min-height: 100vh;
  background: #ffffff;
  color: #fff;
  font-size: 16px;
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  background: url(../img/background.jpg) no-repeat center center;
  background-size: cover;
  
}
img {
  max-width: 100%;
}
a {
  text-decoration: none;
}
h1,
h2,
h3,
h4 {
  text-transform: uppercase;
  color: white;
  font-style: italic;
}
h5 {
  text-transform: uppercase;
}
h1 {
  margin-top: 0;
  padding: 10px 0;
  font-size: 50px;
  font-weight: 900;
  background: linear-gradient(90deg, #fff17c, #ffc400);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}
h4 {
  font-size: 20px;
}
.main {
    max-width: 1600px;
    margin: 0 auto;
    width: 100%;
    padding: 20px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.mainlogo {
  padding-top: 15px;
  text-align: center;
}
.logoimg {
  width: 120px;
  height: auto;
  border-radius: 5px;
  border: 1px solid #fff;
}
.wheel {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 80px;
}
.wh-container {
    position: absolute;
    z-index: 5;
}
.wh-prices {
    position: relative;
    z-index: 6;
    cursor: pointer;
    max-width: 500px;
}
#inner-wheel {
  transform: rotate(0deg);
  transition: transform 4s cubic-bezier(0.33, 1, 0.68, 1);
}
.arrow-spin {
  position: absolute;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 12;
    width: 80px;
}
.start {
  display: block;;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90px;
  height: 90px;
  z-index: 10;
  cursor: pointer;
  
}
.start.disabled {
  filter: grayscale(1);
  cursor: default;
}
.animate-zoom {
  animation: zoominout 200ms ease-in-out alternate;
  -webkit-animation: zoominout 200ms ease-in-out alternate infinite;
}
.start.disabled .animate-zoom{
  animation: none;
  -webkit-animation:none;
}

.bottom-btn {
  max-width: 400px;
  width: 100%;
  margin: 0 auto;
}

.test {
  margin-top: 30px;
  padding: 10px;
  background: red;
  border-radius: 10px;
  cursor: pointer;
}

@keyframes zoominout {
  0%{
    transform: scale(1);
  }
  100%{
    transform: scale(1.1);
  }
}

@media (max-width:768px) {
  body {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .mainlogo {
    position: fixed;
    left: 50%;
    top: 20px;
    transform: translateX(-50%);
}
  .wheel {
    padding: 12vw;
  }
  .arrow-spin {
    width: 9vw;
  }
  .start {
    width: 10vw;
    height: 10vw;
  }
  .bottom-btn {
    max-width: 400px;
    width: 60vw;
    margin: 0 auto;
  }
}